Subject: bug#4828: 23.1.50; c-newline-and-indent and indent-line-function

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 28 Feb 2016 17:35:36 +1100

Lars Magne Ingebrigtsen <[email-masked]> writes:

> Lennart Borgman <[email-masked]> writes:
>
>> Looking at the code in c-electric-semi&comma I think it is better to
>> change the call to (c-indent-line) currently on line 938 in cc-cmds.el
>> to (funcall indent-line-function). That will fix the problem I think.
>>
>> 	    (if c-syntactic-indentation
>> 		;;(c-indent-line)
>>                 (funcall indent-line-function)
>>               )
>
> The code seems to have changed a bit in the mean time -- line 938 no
> longer has that code.
>
> Is this still relevant?

More information was requested, but no response was given within a few
years, so I'm closing this bug report.  If the problem still exists,
please reopen this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no